blog/polls/urls.py
from django.urls import path
from . import views

app_name = 'polls'

urlpatterns = [
   path('', views.question_list, name='question_list'),
   path('<int:question_id>/', views.question_detail, name='question_detail'),
   path('new_question/', views.question_add, name='question_add'),
   path('new_choice/<int:question_id>', views.choice_add, name='choice_add'),
]

blog/project/urls.py
from django.contrib import admin
from django.urls import path, include
from .views import home_view

urlpatterns = [
   path('', home_view),
   path('admin/', admin.site.urls),
   path('polls/', include('polls.urls', namespace='polls')),
]

blog/chat/models.py
from django.db import models

class TextMessage(models.Model):
    text = models.CharField(max_length=200)
    author = models.CharField(max_length=20)
    recipient = models.CharField(max_length=20)

class ImageMessage(models.Model):
    image_url = models.CharField(max_length=200)
    author = models.CharField(max_length=20)
    recipient = models.CharField(max_length=20)

blog/polls/models.py
from django.db import models


class Question(models.Model):
    OTWARTE = "OT"
    ZAMKNIETE = "ZA"

    TYPE_CHOICES=[
        (OTWARTE, "Otwarte"),
        (ZAMKNIETE, "Zamkniete"),
    ]

    question_text = models.CharField(max_length=200)
    pub_date = models.DateTimeField('date published')
    type = models.CharField(max_length=2, choices=TYPE_CHOICES, default=OTWARTE)

    def __str__(self):
        return f"Pytanie {self.question_text}"



class Choice(models.Model):
    question = models.ForeignKey(Question, on_delete=models.CASCADE, related_name='choices')
    choice_text = models.CharField(max_length=200)
    votes = models.IntegerField(default=0)


class Answer(models.Model):
    question = models.ForeignKey(Question, on_delete=models.CASCADE)
    answer_text = models.CharField(max_length=200)

blog/polls/forms.py
from django import forms
from django.forms.widgets import DateInput

from .models import Question, Choice


class QuestionForm(forms.ModelForm):
   class Meta:
       model = Question
       fields = '__all__' #['choice_text', 'votes']
       widgets = {
           'pub_date': DateInput(attrs={'type': 'date'}),
       }


class ChoiceForm(forms.ModelForm):
   class Meta:
       model = Choice
       fields = '__all__'
       widgets = {
            'question': forms.HiddenInput()
       }

blog/chat/views.py
from django.shortcuts import render

# Create your views here.

blog/polls/views.py
from django.shortcuts import render, get_object_or_404
from .models import Question
from django.urls import reverse
from django.http import HttpResponseRedirect
from .forms import QuestionForm, ChoiceForm


def question_list(request):
   questions = Question.objects.all()
   return render(request, 'polls/question_list.html', {'questions': questions})

def question_detail(request, question_id):
   question = get_object_or_404(Question, pk=question_id)
   return render(request, 'polls/question_detail.html', {'question': question})

def question_add(request):
   if request.method == 'POST':
       form = QuestionForm(request.POST)

       if form.is_valid():
           form.save()
           return HttpResponseRedirect(reverse('polls:question_list'))

   else:
       form = QuestionForm()

   return render(request, 'polls/question_form.html', {'form': form})


def choice_add(request, question_id):
   question = get_object_or_404(Question, pk=question_id)
   if request.method == 'POST':
       form = ChoiceForm(request.POST)

       if form.is_valid():
           form.save()
           return HttpResponseRedirect(reverse('polls:question_list'))

   else:
       form = ChoiceForm(initial={'question':question})

   return render(request, 'polls/choice_form.html', {'form': form, 'question': question})

blog/project/views.py
from django.shortcuts import render

def home_view(request):
   return render(request, 'home.html',)

blog/templates/home.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<h1> Strona główna </h1>
{% if request.user.is_authenticated %}
Witaj {{request.user}}
{% else %}
Nie jesteś zalogowany
{% endif %}
<a href="polls/">Pytania</a>
</body>
</html>

blog/templates/polls/choice_form.html
<!doctype html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'polls/styles.css' %}">
</head>
<h2>Dodaj opcję odpowiedzi</h2>
<form method="post">
   {% csrf_token %}
  <ul>
    {% for field in form.visible_fields %}
      <li>
        {{ field.label_tag }} {{ field }}
      </li>
    {% endfor %}
  </ul>

   <input type="submit" value="Zapisz">
</form>`

blog/templates/polls/question_detail.html
<!doctype html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'polls/style.css' %}">
</head>

<body>
<h2>{{ question.question_text }}</h2>
<table>
    <tr>
        <td>Wybór</td>
        <td>Ilość głosów</td>
    </tr>
    <tr>
{% for choice in question.choice_set.all %}
        <td>{{ choice.choice_text }}</td>
        <td>{{ choice.votes }}</td>
{% endfor %}
    </tr>
</table>
<h3>Odpowiedzi</h3>
<ul>
    {% for answer in question.answer_set.all %}
    <li>{{ answer.answer_text }}</li>
{% endfor %}
</ul>
<a href="{% url 'polls:choice_add' question.id %}">Dodaj nowy wybór</a>
</body>

blog/templates/polls/question_form.html
<!doctype html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'polls/styles.css' %}">
</head>

<h2>Dodaj nowe pytanie</h2>
<form method="post">
   {% csrf_token %}
   {{ form.as_ul}}
   <input type="submit" value="Zapisz">
</form>

blog/templates/polls/question_list.html
<!doctype html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'polls/style.css' %}">
</head>

<body>
<div>
    <table>
        <tr>
            <td class="id_field">Id</td>
            <td>Nazwa</td>
            <td class="id_field">Data dodania</td>
            <td>Typ</td>
        </tr>
    {% for question in questions %}
        <tr>
        <td class="id_field">{{ question.id }}</td>
            <td><a href="{% url 'polls:question_detail' question.id %}">{{ question.question_text }}</a>
                <td  class="id_field">{{ question.pub_date }}</td>
            <td>{{ question.type }}</td>
        </tr>
    {% endfor %}
    </table>
</div>
<a href="{% url 'polls:question_add' %}">Dodaj nowe pytanie</a>
</body>
</html>